<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="text"/>
<xsl:param name="USERNAME"/>  
<xsl:param name="TOKEN"/>  
<xsl:param name="SECRET"/>  
<xsl:param name="TIME"/>  
<xsl:param name="NONCE"/>
<xsl:param name="SUBDOMAIN"/>

<xsl:variable name="RESPONSE" select="'Response'"/>
<xsl:variable name="REQUEST" select="'Request'"/>
<xsl:variable name="PARAMS" select="'Params'"/>
<xsl:variable name="STRING" select="'string'"/>
<xsl:variable name="NUMBER" select="'number'"/>
<xsl:variable name="STRUCT" select="'struct'"/>
<xsl:variable name="ARRAY" select="'array'"/>

<xsl:include href="errors.xsl"/>
<xsl:include href="url-encode.xsl"/>

<xsl:template match="/">
 <xsl:apply-templates select="/data/response"/>
 <xsl:apply-templates select="/data/error"/>
 <xsl:apply-templates select="/data/info"/>
</xsl:template>

<xsl:template match="response">
    <xsl:choose>
    <xsl:when test="/data/Request/Params[@parent = 'uploadPhoto']">
        <xsl:element name="{$REQUEST}">
            <xsl:attribute name="class">photos</xsl:attribute>
            <xsl:attribute name="function">uploadPhoto2</xsl:attribute>
            <xsl:element name="{$PARAMS}">
                <xsl:element name="{$STRING}">
                    <xsl:attribute name="name">albumId</xsl:attribute>
                    <xsl:value-of select="$USERNAME"/>
                    <xsl:text>%2F</xsl:text>
                    <xsl:value-of select="/data/Request/Params/string[@name = 'name']"/>
                </xsl:element>
                <xsl:element name="{$STRING}">
                    <xsl:attribute name="name">file</xsl:attribute>
                    <xsl:value-of select="/data/Request/Params/string[@name = 'file']"/>
                </xsl:element>
                <xsl:element name="{$STRING}">
                    <xsl:attribute name="name">fileName</xsl:attribute>
                    <xsl:value-of select="/data/Request/Params/string[@name = 'fileName']"/>
                </xsl:element>
                <xsl:element name="{$STRING}">
                    <xsl:attribute name="name">description</xsl:attribute>
                    <xsl:value-of select="/data/Request/Params/string[@name = 'photoDescription']"/>
                </xsl:element>
            </xsl:element> 
        </xsl:element>
    </xsl:when>

    <xsl:otherwise>
        <xsl:element name="{$RESPONSE}">
            <xsl:attribute name="class">photos</xsl:attribute>
            <xsl:attribute name="function">createAlbum</xsl:attribute>
            <xsl:element name="{$PARAMS}">
		<xsl:if test="status = 'OK'">
	          <xsl:element name="{$STRING}">
        	    <xsl:attribute name="name">albumId</xsl:attribute>
        	    <xsl:value-of select="$USERNAME"/>
                    <xsl:text>%2F</xsl:text>
                    <xsl:value-of select="/data/Request/Params/string[@name = 'name']"/>
        	  </xsl:element> 
		</xsl:if>
            </xsl:element>
        </xsl:element>
    </xsl:otherwise>
    </xsl:choose>

</xsl:template>

</xsl:stylesheet>
